---
title: HTMLMediaElement.controller
slug: Web/API/HTMLMediaElement/controller
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.controller</code></strong> property represents the media controller assigned to the element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">...</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaController")}} object or <code>null</code> if no media controller is assigned to the element. The default is <code>null</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">...
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.controller")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.controller")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
